#!/usr/bin/env python

#
# ThreadLib Library, this lib takes care of all the threading support
# Written by Bart Verwilst <verwilst@gentoo.org>
#
from qt import *

class ThreadExec(QThread): 
	def __init__(self, win):
		QThread.__init__(self)
		self.win = win
		self.mutex = QMutex()
		self.stopped = 0

	def run(self):

		for x in range(2000):
			self.mutex.lock()
       			if self.stopped:
               			self.stopped = 0
       		 		self.mutex.unlock()

       			self.mutex.unlock()

			QListViewItem(self.win.ListView1, "bleh")
			print "bleh"
			self.msleep(100)


	def stop(self):
		self.mutex.lock()
	        self.stopped = 1
        	self.mutex.unlock()

